<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.configuration2.tree (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.configuration2.tree (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/xpath/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.commons.configuration2.tree</h1>
<div class="docSummary">
<div class="block">
 A package with helper and utility classes used by hierarchical configurations.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="interface in org.apache.commons.configuration2.tree">ConfigurationNodeVisitor</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 Definition of a <em>Visitor</em> interface for a configuration node
 structure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree">ExpressionEngine</a></td>
<td class="colLast">
<div class="block">
 Definition of an interface for evaluating keys for hierarchical
 configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">InMemoryNodeModelSupport</a></td>
<td class="colLast">
<div class="block">
 A specialized version of the <code>NodeModelSupport</code> interface which allows
 querying an <a href="../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html" title="class in org.apache.commons.configuration2.tree"><code>InMemoryNodeModel</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 Definition of an interface for accessing the data of a configuration node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 Definition of an interface which allows resolving a (property) key for
 different manipulating operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;</td>
<td class="colLast">
<div class="block">
 An interface for matching nodes based on specific criteria.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="interface in org.apache.commons.configuration2.tree">NodeModel</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 Definition of an interface describing a model based on a nodes structure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">NodeModelSupport</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 An interface to be implemented by objects that support a <a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="interface in org.apache.commons.configuration2.tree"><code>NodeModel</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/ReferenceNodeHandler.html" title="interface in org.apache.commons.configuration2.tree">ReferenceNodeHandler</a></td>
<td class="colLast">
<div class="block">
 An extension of the <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree"><code>NodeHandler</code></a> interface which allows access to
 so-called <em>references</em> stored for a node.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitorAdapter.html" title="class in org.apache.commons.configuration2.tree">ConfigurationNodeVisitorAdapter</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 A simple adapter class that simplifies writing custom node visitor
 implementations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultConfigurationKey.html" title="class in org.apache.commons.configuration2.tree">DefaultConfigurationKey</a></td>
<td class="colLast">
<div class="block">
 A simple class that supports creation of and iteration on configuration keys
 supported by a <a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngine.html" title="class in org.apache.commons.configuration2.tree"><code>DefaultExpressionEngine</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngine.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngine</a></td>
<td class="colLast">
<div class="block">
 A default implementation of the <code>ExpressionEngine</code> interface
 providing the &quot;native&quot; expression language for hierarchical
 configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols</a></td>
<td class="colLast">
<div class="block">
 A class representing the various symbols that are supported in keys
 recognized by <a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngine.html" title="class in org.apache.commons.configuration2.tree"><code>DefaultExpressionEngine</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngineSymbols.Builder.html" title="class in org.apache.commons.configuration2.tree">DefaultExpressionEngineSymbols.Builder</a></td>
<td class="colLast">
<div class="block">A builder class for creating instances of
 <code>DefaultExpressionEngineSymbols</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></td>
<td class="colLast">
<div class="block">
 An immutable default implementation for configuration nodes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode.Builder</a></td>
<td class="colLast">
<div class="block">
 A <em>builder</em> class for creating instances of <code>ImmutableNode</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html" title="class in org.apache.commons.configuration2.tree">InMemoryNodeModel</a></td>
<td class="colLast">
<div class="block">
 A specialized node model implementation which operates on
 <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree"><code>ImmutableNode</code></a> structures.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/MergeCombiner.html" title="class in org.apache.commons.configuration2.tree">MergeCombiner</a></td>
<td class="colLast">
<div class="block">
 A specialized implementation of the <code>NodeCombiner</code> interface
 that performs a merge from two passed in node hierarchies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeAddData.html" title="class in org.apache.commons.configuration2.tree">NodeAddData</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 A simple data class used by <a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><code>ExpressionEngine</code></a> to store
 the results of the <code>prepareAdd()</code> operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></td>
<td class="colLast">
<div class="block">
 A base class for node combiner implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="class in org.apache.commons.configuration2.tree">NodeHandlerDecorator</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 An abstract base class for decorators of a <code>NodeHandler</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a></td>
<td class="colLast">
<div class="block">
 A class for selecting a specific node based on a key or a set of keys.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeTreeWalker.html" title="class in org.apache.commons.configuration2.tree">NodeTreeWalker</a></td>
<td class="colLast">
<div class="block">
 A class providing different algorithms for traversing a hierarchy of
 configuration nodes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="class in org.apache.commons.configuration2.tree">NodeUpdateData</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 A simple data class used by node models to store parameters of an update
 operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/OverrideCombiner.html" title="class in org.apache.commons.configuration2.tree">OverrideCombiner</a></td>
<td class="colLast">
<div class="block">
 A concrete combiner implementation that is able to construct an override
 combination.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">
 A data class representing a single query result produced by an
 <a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><code>ExpressionEngine</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/TrackedNodeModel.html" title="class in org.apache.commons.configuration2.tree">TrackedNodeModel</a></td>
<td class="colLast">
<div class="block">
 A specialized <code>NodeModel</code> implementation that uses a tracked node
 managed by an <a href="../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html" title="class in org.apache.commons.configuration2.tree"><code>InMemoryNodeModel</code></a> object as root node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/TreeUtils.html" title="class in org.apache.commons.configuration2.tree">TreeUtils</a></td>
<td class="colLast">
<div class="block">Utility methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/UnionCombiner.html" title="class in org.apache.commons.configuration2.tree">UnionCombiner</a></td>
<td class="colLast">
<div class="block">
 A specialized implementation of the <code>NodeCombiner</code> interface
 that constructs a union from two passed in node hierarchies.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/tree/NodeNameMatchers.html" title="enum in org.apache.commons.configuration2.tree">NodeNameMatchers</a></td>
<td class="colLast">
<div class="block">
 An enumeration class with several pre-defined <a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree"><code>NodeMatcher</code></a>
 implementations based on node names.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.commons.configuration2.tree Description">Package org.apache.commons.configuration2.tree Description</h2>
<div class="block"><p>
 A package with helper and utility classes used by hierarchical configurations.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: package-info.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/xpath/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
